## org.eclipse.jst.jsf.facesconfig.emf
Interface ValidatorType

All Known Implementing Classes:
  ValidatorTypeImpl

    public interface ValidatorType

A representation of the model object 'Validator Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Validator Id`
- `Validator Class`
- `Attribute`
- `Property`
- `Validator Extension`
- `Id`

See Also:
  `FacesConfigPackage.getValidatorType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getAttribute()` Returns the value of the 'Attribute' containment reference list.
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getProperty()` Returns the value of the 'Property' containment reference list.
`ValidatorClassType` `getValidatorClass()` Returns the value of the 'Validator Class' containment reference
`EList` `getValidatorExtension()` Returns the value of the 'Validator Extension' containment reference list.
`ValidatorIdType` `getValidatorId()` Returns the value of the 'Validator Id' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setValidatorClass(ValidatorClassType value)` Sets the value of the '`Validator Class`' containment reference
`void` `setValidatorId(ValidatorIdType value)` Sets the value of the '`Validator Id`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_Icon()`

### getValidatorId

    ValidatorIdType getValidatorId()

  Returns the value of the 'Validator Id' containment reference.

  If the meaning of the 'Validator Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validator Id' containment reference.
  See Also:
    `setValidatorId(ValidatorIdType)`, `FacesConfigPackage.getValidatorType_ValidatorId()`

### setValidatorId

    void setValidatorId(ValidatorIdType value)

  Sets the value of the '`Validator Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Validator Id' containment reference.
  See Also:
    `getValidatorId()`

### getValidatorClass

    ValidatorClassType getValidatorClass()

  Returns the value of the 'Validator Class' containment reference.

  If the meaning of the 'Validator Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validator Class' containment reference.
  See Also:
    `setValidatorClass(ValidatorClassType)`, `FacesConfigPackage.getValidatorType_ValidatorClass()`

### setValidatorClass

    void setValidatorClass(ValidatorClassType value)

  Sets the value of the '`Validator Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Validator Class' containment reference.
  See Also:
    `getValidatorClass()`

### getAttribute

    EList getAttribute()

  Returns the value of the 'Attribute' containment reference list. The list contents are of type `AttributeType`.

  If the meaning of the 'Attribute' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_Attribute()`

### getProperty

    EList getProperty()

  Returns the value of the 'Property' containment reference list. The list contents are of type `PropertyType`.

  If the meaning of the 'Property' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_Property()`

### getValidatorExtension

    EList getValidatorExtension()

  Returns the value of the 'Validator Extension' containment reference list. The list contents are of type `ValidatorExtensionType`.

  If the meaning of the 'Validator Extension' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validator Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_ValidatorExtension()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getValidatorType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`